rows_cols:
  namespace: "Organisms/TM - Scaffold"
  use: "@organisms/tm-scaffold/rows-cols/rows-cols.twig"
  label: Rows and Cols
  description: Rows and Cols using batch, with items pre-rendered
  libraries:
    - rows_cols_lib:
        css:
          component:
            ../styles/rows-cols.css: { weight: 10 }

  fields:
    items:
      label: Items
      description: Items
      type: pattern
      multi_value_type: items
      preview:
        - id: bs_card
        - id: bs_card
        - id: bs_card
        - id: bs_card
        - id: bs_card
        - id: bs_card
        - id: bs_card

  settings:
    auto_height:
      type: boolean
      label: Auto height
      default_value: false
      preview: false
    batch:
      type: number
      label: Batch
      default_value: 3
      preview: 3
    row_class:
      type: textfield
      label: Row class
    wrapper_class:
      type: textfield
      label: Row class
